const Api = require('../net/Api');

class UserInformationApi {
    /*
    *   获取用户信息接口
    *   @param uid   [string] 用户id
    * */
    getUserInformation(uid, success, fail) {
        let url = "/user/getInfo.do";

        let data = {
            targetUid: uid
        };

        let requestBody = {
            url: url,
            data: data,
            success: success,
            fail: fail,
            complete: () => {

            }
        };

        Api.httpGet(requestBody);
    }

    getTimelineList(uid, success, fail) {
        let url = "/post/getPost.do";

        let data = {
            targetUid: uid
        };

        let requestBody = {
            url: url,
            data: data,
            success: success,
            fail: fail,
            complete: () => {

            }
        };

        Api.httpGet(requestBody);
    }

    postRelate(uid, type, success, fail) {
        let url = "/friend/relate.do";

        let data = {
            targetUid: uid,
            opt: type,
        };

        let requestBody = {
            url: url,
            data: data,
            success: success,
            fail: fail,
            complete: () => {
            }
        };

        Api.httpPost(requestBody);
    }

    editArtistName(uid, name, success, fail) {
        let url = "/user/updateArtistName.do";

        let data = {
            targetUid: uid,
            artistName: name,
        };

        let requestBody = {
            url: url,
            data: data,
            success: success,
            fail: fail,
            complete: () => {

            }
        };

        Api.httpPost(requestBody);
    }

    postInteract(uid, type, success, fail) {
        let url = "/friend/interact.do";

        let data = {
            targetUid: uid,
            type: type,
        };

        let requestBody = {
            url: url,
            data: data,
            success: success,
            fail: fail,
            complete: () => {

            }
        };

        Api.httpPost(requestBody);
    }

    getRelationCondition(uid, opt, success, fail) {
        let url = "/item/getCondition.do";

        let data = {
            targetUid: uid,
            opt: opt
        };

        let requestBody = {
            url: url,
            data: data,
            success: success,
            fail: fail,
            complete: () => {

            }
        };

        Api.httpGet(requestBody);
    }
}

module.exports = new UserInformationApi();
